import {attribute, DataStore, model, Model} from "@rx-suite/data";
import * as yup from 'yup';
import {t} from "@lingui/macro";

// This store proxies the same store in Rx-Data and doesn't actual allow editing of any models.
@model({
    transportLayer: "/api/machine_groups/all"
})

export class MachineGroupModel extends Model {
    @attribute({label: t`Id`, validation: yup.number()})
    id = 0;

    @attribute({label: t`name`, validation: yup.string()})
    name = '';

    constructor() {
        super();
        super.setup();
    }
}

export const MachineGroupStore = MachineGroupModel.store as DataStore<MachineGroupModel>;